@echo off
setlocal enabledelayedexpansion

:: Suchbegriffe (mehrere durch Leerzeichen getrennt)
set "keywords=fewo hohegeiss"

:: Quellverzeichnisse aus katalog.txt extrahieren
set "source_file=C:\meinZeug\Immo\katalog_ordner.txt"

for %%K in (%keywords%) do (
    set "dest=C:\temp\x\%%K"
    if not exist "!dest!" mkdir "!dest!"

    set "dirs="
    for /f "tokens=*" %%A in ('findstr /I "%%K" "!source_file!"') do (
        set "dirs=!dirs! %%A"
    )

    :: Dateien kopieren
    for %%D in (!dirs!) do (
        for %%F in ("%%D\*") do (
            set "filename=%%~nxF"
            set "newname=%%D_!filename!"
            set "newname=!newname:C:\=!"
            set "newname=!newname:\=#!"
            copy "%%F" "!dest!\!newname!"
        )
    )
)

echo Kopiervorgang abgeschlossen.
pause
